# Android Drawable Resizer

Android Drawable Resizer provides a command `adr` that automatically scales your
highest density Android drawable resources for all the lower densities.

## Installation

Android Drawable Resizer depends on the
[RMagick](http://rubygems.org/gems/rmagick) gem, which needs
[ImageMagick](http://www.imagemagick.org/) to be installed.

So, after installing ImageMagick, just run
`gem install android_drawable_resizer`.

## Usage

**Warning!** Please, try the script safely, after commiting your previous
changes. Both the script and I are newcomers, and I wouldn’t like to cause a
disaster on your project. Also, please note that **there is no support for
9-patches**, as they need a quite special treatment.

Run the `adr` command from the `res` folder on your Android project o pass the
route to it as a parameter (`adr ~/the/route/to/res`).

## Contributing

1. Fork it (https://github.com/rulych/android_drawable_resizer/fork).
2. Create your feature branch (`git checkout -b my-new-feature`).
3. Commit your changes (`git commit -am 'Add some feature'`).
4. Push to the branch (`git push origin my-new-feature`).
5. Create a new Pull Request.
